edu.sc.seis.sod.process.waveform

## Class RecordSectionDisplayGenerator

- java.lang.Object
- - edu.sc.seis.sod.process.waveform.RSChannelInfoPopulator
  - - edu.sc.seis.sod.process.waveform.RecordSectionDisplayGenerator

- All Implemented Interfaces:
    WaveformProcess, SodElement, Subsetter

      public class RecordSectionDisplayGenerator
      extends RSChannelInfoPopulator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `DEFAULT_BASE_DIRNAME`
    `static java.lang.String` | `DEFAULT_TEMPLATE`
    `protected static java.lang.String` | `FILE_EXTENSION`
    `protected java.lang.String` | `filename`
    `protected java.lang.String` | `location`
    `protected java.lang.String` | `workingDirName`

    - ### Fields inherited from class edu.sc.seis.sod.process.waveform.RSChannelInfoPopulator

      `GENS_POPS_XPATH, spacer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecordSectionDisplayGenerator(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WaveformResult` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.ChannelImpl chan, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms, CookieJar cookieJar)` Processes localSeismograms, possibly modifying them.
    `java.lang.String` | `getBaseDirName()`
    `java.lang.String` | `getFileBaseDir()`
    `java.lang.String` | `getFileLoc(edu.iris.Fissures.IfEvent.EventAccessOperations event)`
    `void` | `writeImage(java.util.List<edu.sc.seis.fissuresUtil.xml.MemoryDataSetSeismogram> dataSeis, edu.iris.Fissures.IfEvent.EventAccessOperations event, boolean isPDF)`
    `void` | `writeImage(java.util.List<edu.sc.seis.fissuresUtil.xml.MemoryDataSetSeismogram> dataSeis, edu.iris.Fissures.IfEvent.EventAccessOperations event, java.io.OutputStream out, boolean isPDF)`

    - ### Methods inherited from class edu.sc.seis.sod.process.waveform.RSChannelInfoPopulator

      `extractSeismograms, extractSeismogramsFromDB, getChannelIds, getConfiguredRSDisplay, getDSSForRecordSectionItems, getMatchingChanIdByStationCode, getMatchingChanIdIgnoreDates, getOrientationId, getRecordSectionId, getRecSecDimension, getSaveSeisId, getSeismogramWriter, getSeismogramWriter, updateTable, wrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### filename

          protected java.lang.String filename

    - #### workingDirName

          protected java.lang.String workingDirName

    - #### location

          protected java.lang.String location

    - #### DEFAULT_TEMPLATE

          public static final java.lang.String DEFAULT_TEMPLATE

      See Also:
        Constant Field Values

    - #### FILE_EXTENSION

          protected static final java.lang.String FILE_EXTENSION

      See Also:
        Constant Field Values

    - #### DEFAULT_BASE_DIRNAME

          protected static final java.lang.String DEFAULT_BASE_DIRNAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RecordSectionDisplayGenerator

          public RecordSectionDisplayGenerator(org.w3c.dom.Element config)
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### accept

          public WaveformResult accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                       edu.iris.Fissures.network.ChannelImpl chan,
                                       edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original,
                                       edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available,
                                       edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms,
                                       CookieJar cookieJar)
                                throws java.lang.Exception

      Description copied from interface: `WaveformProcess`
      Processes localSeismograms, possibly modifying them.
      Specified by:
        `accept` in interface `WaveformProcess`
      Overrides:
        `accept` in class `RSChannelInfoPopulator`
      Throws:
        `java.lang.Exception`

    - #### getFileLoc

          public java.lang.String getFileLoc(edu.iris.Fissures.IfEvent.EventAccessOperations event)
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getFileBaseDir

          public java.lang.String getFileBaseDir()

    - #### getBaseDirName

          public java.lang.String getBaseDirName()

    - #### writeImage

          public void writeImage(java.util.List<edu.sc.seis.fissuresUtil.xml.MemoryDataSetSeismogram> dataSeis,
                                 edu.iris.Fissures.IfEvent.EventAccessOperations event,
                                 java.io.OutputStream out,
                                 boolean isPDF)
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### writeImage

          public void writeImage(java.util.List<edu.sc.seis.fissuresUtil.xml.MemoryDataSetSeismogram> dataSeis,
                                 edu.iris.Fissures.IfEvent.EventAccessOperations event,
                                 boolean isPDF)
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`